> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Docs Delete

> OAI docs delete

## 删除文档

**URL**: `/v1/docs/delete`\
**方法**: `DELETE`\
**描述**: 删除文档。

### 请求参数

| 参数名      | 类型   | 描述      |
| -------- | ---- | ------- |
| doc\_ids | list | 文档唯一 ID |

### 响应参数

| 参数名      | 类型   | 描述      |
| -------- | ---- | ------- |
| doc\_ids | list | 文档唯一 ID |

### 请求示例

**cURL**

```bash theme={null}
curl -X DELETE https://api.reportify.cn/v1/docs/delete \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
    "doc_ids": [
        "632486024552595",
        "632486024552596"        
    ]
}'
```

**Python 示例**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/docs/delete"
headers = {
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}
payload = {
    "doc_ids": [
        "632486024552595",
        "632486024552596"
    ]
}

response = requests.delete(url, headers=headers, json=payload)
print(response.json())
```

### 响应示例

```json theme={null}
{
    "doc_ids":["632486024552595"]
}
```


## OpenAPI

````yaml DELETE /v1/docs/delete
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/docs/delete:
    delete:
      tags:
        - openapi-files
      summary: Delete Docs
      description: OAI docs delete
      operationId: delete_docs_reportify_api_v1_docs_delete_delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAIDocsDeleteRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIDocsDeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIDocsDeleteRequest:
      properties:
        doc_ids:
          items:
            type: string
          type: array
          title: Doc Ids
      type: object
      required:
        - doc_ids
      title: OAIDocsDeleteRequest
    OAIDocsDeleteResponse:
      properties:
        doc_ids:
          items:
            type: string
          type: array
          title: Doc Ids
      type: object
      required:
        - doc_ids
      title: OAIDocsDeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````